local medievalNamesMod = ...

medievalNamesMod:log("Injecting Male Names.")

medievalNamesMod:override({
	Id = "DEFAULT_BALANCING",
	Name = "ADDITIONAL_NAMES_MALE",
	MaleNameList = {
		--To over write or the list of name provide in game, change action to "OVERRIDE" or remove the action line.
		action ="APPEND", --Append the following value(s) to the existing list
		"Aaron", "Abel", "Abraham", "Abram", "Adalfred", "Adam", "Adegar", "Adelard", "Adelardus", 
		"Adelmar", "Ademar", "Adenot", "Aderic", "Aderlard", "Adhemar", "Adlard", "Adrian", "Aedelfrid", 
		"Aedelstan", "Aelfnod", "Aelfric", "Aelfstan", "Aelfward", "Aemon", "Alan", "Alart", "Alberic", 
		"Albert", "Aldis", "Aldo", "Aldous", "Aldred", "Aldus", "Alexander", "Alfan", "Alfonce", 
		"Alfward", "Alisander", "Almer", "Almeric", "Almericus", "Alphonse", "Alphonsus", "Alton", 
		"Alwin", "Alwyn", "Amer", "Americ", "Amfrid", "Amfridus", "Amis", "Amon", "Ancel", "Ancelin", 
		"Ancelm", "Ancelmus", "Ancelot", "Anchier", "Ansell", "Anselm", "Anselme", "Anselmet", "Anselmus", 
		"Ansfrid", "Ansfroi", "Ansger", "Ansgot", "Armand", "Armant", "Armin", "Arnald", "Arnaldus", 
		"Arnold", "Arnott", "Arnould", "Arthur", "Athelard", "Athelardus", "Audemar", "Averet", "Averitt", 
		"Aylard", "Aymer", "Aymon", "Azemar", "Balin", "Balon", "Barat", "Bardol", "Bardolf", "Bardolph", 
		"Bardolphus", "Bardulphus", "Baret", "Barnabas", "Barnard", "Barnet", "Baromir", "Barret", 
		"Barrett", "Barristan", "Bartholomew", "Bartram", "Basequin", "Basewin", "Basil", "Basuin", 
		"Baudwin", "Bausan", "Bayard", "Baynard", "Beavis", "Benedict", "Beneger", "Benger", "Benjen", 
		"Bennet", "Beonrad", "Beorn", "Beowulf", "Beren", "Berengar", "Berengarius", "Berenger", 
		"Berengerius", "Beric", "Beringer", "Bernar", "Bernard", "Bernart", "Bernier", "Berold", 
		"Beroldus", "Bert", "Bertaut", "Berteram", "Bertin", "Bertram", "Bertramus", "Bertran", "Bertrand", 
		"Bertrannus", "Bertrant", "Betan", "Betyn", "Beves", "Bevis", "Blaise", "Bliant", "Boromir", 
		"Botolf", "Botolph", "Botulf", "Botwin", "Bran", "Brandir", "Brego", "Brom", "Bron", "Brutus", 
		"Bryce", "Brynden", "Bryndon", "Caius", "Calum", "Carl", "Carolus", "Castor", "Cedric", "Cerdic", 
		"Charle", "Charles", "Charlet", "Clarembaut", "Clarenbald", "Clement", "Clerebald", "Clerebold", 
		"Clodovicus", "Clovis", "Conrad", "Conradin", "Crispian", "Curtis", "Cuthbert", "Cyneric", "Cyr", 
		"Cyrus", "Daniel", "Dante", "David", "Davos", "Decimus", "Dederic", "Dederick", "Dedericus", 
		"Denis", "Derek", "Derric", "Deryk", "Diccon", "Dick", "Dicken", "Dickon", "Diggin", "Diggory", 
		"Dionysius", "Dob", "Dobbin", "Dodd", "Donnel", "Doran", "Drennan", "Drew", "Drewett", "Droet", 
		"Drogo", "Droyn", "Eadgar", "Eadred", "Eadward", "Ealdred", "Eardwulf", "Eddard", "Eden", "Edgar", 
		"Edmund", "Edon", "Edric", "Edun", "Edwin", "Egilhard", "Elias", "Eliot", "Elmer", "Elric", "Eluard", 
		"Emeric", "Engeram", "Engeramus", "Epharim", "Erhard", "Ernald", "Ernaldus", "Ernaut", "Erneis", 
		"Ernest", "Ernis", "Ernisius", "Ernoldus", "Erwin", "Esmond", "Eudon", "Euron", "Everard", "Evrat", 
		"Fabian", "Fairman", "Faramond", "Faramund", "Fareman", "Farin", "Farman", "Farmanus", "Fauques", 
		"Fawkes", "Federic", "Federyc", "Felix", "Ferand", "Ferentus", "Ferrand", "Filbert", "Filibert", 
		"Finbert", "Finrod", "Folcard", "Fortinbras", "Francis", "Franco", "Francus", "Frank", "Fraunk", 
		"Frederick", "Fredericus", "Freyer", "Frideric", "Friduric", "Fridwald", "Fulbert", "Fulbertus", 
		"Fulchard", "Fulcher", "Fulco", "Fulko", "Gabriel", "Gale", "Galeran", "Galeren", "Galfridus", 
		"Galien", "Galleron", "Gallien", "Galot", "Galter", "Galterius", "Gamel", "Gareth", "Garin", "Garit", 
		"Garner", "Garrett", "Gaufrid", "Gaufridus", "Gauteron", "Gawter", "Geffrey", "Gefroy", "Gendry", 
		"Geoffrey", "Geoffroi", "Geofridus", "George", "Gerald", "Geraldus", "Gerard", "Gerardus", "Gerbald", 
		"Gerbaut", "Gerbert", "Gerbertus", "Gerbod", "Gerbold", "Gerfast", "Gerfrid", "Gernot", "Gero", 
		"Geroldin", "Geroldus", "Gerolt", "Gerontius", "Gerould", "Gerulf", "Gervais", "Gervas", "Geubert", 
		"Gibbon", "Gibs", "Giffard", "Gifford", "Gilberd", "Gilbert", "Gilebert", "Gilebertus", "Gilebin", 
		"Giles", "Gilibertus", "Gill", "Gillebertus", "Gillet", "Gilliame", "Gillotin", "Gilmyn", "Gipp", 
		"Giradin", "Girard", "Girardus", "Giraudus", "Giroldus", "Girout", "Gisbert", "Gisfrid", 
		"Gisbertus", "Gobert", "Gocelinus", "Godafre", "Godbert", "Godebert", "Godefray", "Godefridus", 
		"Godefroy", "Godelot", "Godet", "Godfree", "Godfreed", "Godfrey", "Godhard", "Godric", "Godwin", 
		"Godwyn", "Goffridus", "Goisfrid", "Goisfridus", "Goodwin", "Goscelin", "Goscelinus", "Gosfridus", 
		"Goubert", "Gozelinus", "Grayson", "Gregor", "Gregory", "Griffith", "Grimwald", "Grisbald", 
		"Gualterius", "Guarin", "Guarinus", "Guerart", "Guerin", "Guernier", "Guernon", "Guernot", "Guiart", 
		"Guibert", "Guibour", "Guido", "Guilhem", "Guillaume", "Guillot", "Guimar", "Guimond", "Guinemar", 
		"Guiot", "Guntard", "Gunter", "Gunterius", "Guy", "Gyffard", "Gylbard", "Gylbart", "Hab", "Hadrian", 
		"Haganrich", "Hagen", "Haimirich", "Haimmon", "Hal", "Haldir", "Haleth", "Ham", "Hamelen", "Hamelin", 
		"Hamen", "Hamett", "Hamlet", "Hamlin", "Hamnet", "Hamo", "Hamon", "Hamond", "Hamonet", "Hamund", 
		"Hank", "Hankin", "Hann", "Hanry", "Harald", "Hardegin", "Hardi", "Harding", "Hardouin", "Harduinus", 
		"Hardwin", "Harlan", "Harlod", "Harman", "Harold", "Harper", "Harvey", "Hary", "Haveron", "Hawkin", 
		"Hector", "Heimart", "Heimon", "Hemarc", "Hemart", "Hemmet", "Hemon", "Hemonnet", "Hendereye", "Hendry", 
		"Henfrey", "Henricus", "Henriot", "Henry", "Herbert", "Herebert", "Heriot", "Herman", "Hermannus", 
		"Hermenion", "Herment", "Herriot", "Herry", "Herve", "Herveus", "Hervey", "Hervy", "Heudebrand", 
		"Heward", "Hewelet", "Hewelin", "Hewerald", "Hewet", "Heymon", "Hick", "Hicket", "Hilarius", "Hildebrand", 
		"Hildebrant", "Hitch", "Hitchcock", "Hob", "Hobard", "Hobb", "Hodge", "Hodgkin", "Holger", "Hotch", 
		"Hotys", "Houdeet", "Houdin", "Howard", "Howkin", "Hubard", "Hubelet", "Hubert", "Hubertus", "Huchon", 
		"Hud", "Hudd", "Hudde", "Huelin", "Huet", "Hugelin", "Huget", "Hugethun", "Huggin", "Hugh", "Hugin", 
		"Hugline", "Hugo", "Hugon", "Huguard", "Huguenin", "Huguet", "Huidemar", "Hulderic", "Humfery", 
		"Humfredus", "Humfrey", "Humfridus", "Humph", "Humpherus", "Humphrey", "Hunfray", "Hunfrid", "Hutch", 
		"Hutchin", "Ian", "Ilberd", "Ilbert", "Ilbertus", "Ilyn", "Imbart", "Imbert", "Imbertus", "Ingelram", 
		"Ingelrandus", "Ingeram", "Ingraham", "Ingram", "Ingran", "Ingrannus", "Ingrim", "Isaac", "Isembard", 
		"Isembart", "Isembert", "Isenbardus", "Isenbert", "Ives", "Ivo", "Jaime", "James", "Jankin", "Janos", 
		"Jarvis", "Jasper", "Jeff", "Jeffcock", "Jeffroy", "Jeffry", "Jep", "Jeph", "Jeremy", "Jervis", "Job", 
		"Jobba", "Jocelyn", "Joffridus", "John", "Jon", "Jordan", "Joseph", "Julian", "Julius", "Jupp", "Kain", 
		"Karles", "Karolus", "Kaspar", "Kenneth", "Kevan", "Lambard", "Lambekin", "Lambelin", "Lambequin", 
		"Lambert", "Lambertus", "Lambkin", "Lance", "Lancel", "Lancelet", "Lancelin", "Lancelot", "Lancelyn", 
		"Landan", "Landulf", "Lanslet", "Launceletus", "Launcelot", "Laurence", "Leo", "Leod", "Leofric", 
		"Leofwin", "Leomont", "Leopold", "Leuthar", "Leutwin", "Lewin", "Lewis", "Liberius", "Ligart", "Linus", 
		"Lionel", "Lodewicus", "Loras", "Lothar", "Lotho", "Louis", "Louvel", "Lovell", "Lowis", "Lucan", 
		"Lucius", "Ludovicus", "Luwin", "Mabon", "Mainard", "Mainardus", "Mainfridus", "Malcolm", "Malgerius", 
		"Manard", "Mance", "Manfred", "Marinus", "Mark", "Martin", "Martyn", "Mattey", "Matthew", "Matthias", 
		"Maynard", "Meginhard", "Melchior", "Merek", "Mero", "Michael", "Miles", "Milo", "Milon", "Milot", 
		"Neal", "Ned", "Nicholas", "Nicolas", "Nigel", "Noah", "Norbert", "Norman", "Normannus", "Nygell", 
		"Octavian", "Octavius", "Odalric", "Oddo", "Odger", "Odibrand", "Odin", "Odinel", "Odo", "Ogerius", 
		"Ogier", "Osbert", "Osgar", "Osmund", "Osric", "Otelin", "Otes", "Othell", "Othello", "Otho", "Otois", 
		"Oton", "Otto", "Owain", "Owen", "Parsefal", "Parzifal", "Paul", "Perceval", "Percival", "Percyvallus", 
		"Peregrin", "Persefall", "Persivell", "Peter", "Petyr", "Phareman", "Philbert", "Philibert", "Philip", 
		"Philipp", "Philippus", "Pippin", "Pius", "Podrick", "Quintinus", "Qyburn", "Raban", "Radagast", 
		"Radegund", "Radney", "Radolf", "Radulf", "Radulfus", "Ragenald", "Raginald", "Raignald", "Raimbaud", 
		"Raimond", "Raimund", "Rainald", "Rainaldus", "Rainard", "Rainerius", "Rainier", "Ralf", "Ralph", 
		"Ramsay", "Ranald", "Randal", "Randall", "Randel", "Randle", "Randulf", "Randulfus", "Randull", 
		"Rankin", "Rannulfus", "Ranulf", "Ranulfus", "Ranulph", "Ranulphus", "Raulyn", "Rawkin", "Rawlin", 
		"Raymond", "Raymundus", "Rayner", "Raynoldus", "Regin", "Reginald", "Reginalde", "Reginaldus", 
		"Regnier", "Reignald", "Reimfred", "Reimond", "Reimund", "Reinald", "Reinfred", "Reinfrid", 
		"Reinfridus", "Reinhold", "Reinold", "Reinoldus", "Remfrey", "Remon", "Remont", "Renard", "Renfry", 
		"Renly", "Renodet", "Renoldus", "Renouart", "Reynald", "Reynard", "Reynaud", "Reyner", "Reynfred", 
		"Reynfrey", "Reynold", "Riccard", "Riccon", "Richal", "Richard", "Richardin", "Richart", "Rickard", 
		"Ricket", "Rickon", "Ricon", "Rimward", "Robard", "Robart", "Robb", "Rober", "Robert", "Robertus", 
		"Robin", "Robion", "Robyn", "Rodbertus", "Rodrik", "Rodwic", "Roger", "Rogerius", "Rogerus", "Roget", 
		"Roland", "Rolandus", "Rolant", "Roley", "Rolf", "Rolfe", "Rolft", "Rolland", "Rollant", "Rollo", 
		"Rolph", "Romanus", "Ronald", "Rotbert", "Rotbertus", "Rouland", "Roulf", "Rowan", "Rowland", "Rowley", 
		"Rudmar", "Rufus", "Rychard", "Saerus", "Sagar", "Sagard", "Sagarus", "Salim", "Sam", "Sampson", 
		"Samwell", "Sandor", "Sean", "Segarus", "Selwyn", "Serlon", "Sewallus", "Sewell", "Sherlock", 
		"Sigeward", "Sigeweard", "Sigimar", "Sigimund", "Silas", "Simon", "Sinas", "Sixtus", "Solomon", 
		"Stannis", "Sylvester", "Taban", "Talbot", "Talebot", "Tancard", "Tancred", "Tankard", "Tebald", 
		"Tedbaldus", "Tedric", "Teebald", "Teodric", "Tericius", "Terrick", "Terricus", "Tetbald", "Thebaldus", 
		"Theobald", "Theobaldus", "Theoderic", "Theodoric", "Theodoricus", "Theodric", "Theon", "Thibaud", 
		"Thiebaut", "Thierri", "Thim", "Thomas", "Thorbald", "Thorin", "Thormir", "Thoromir", "Thoros", "Thorromir", 
		"Thurstan", "Thurston", "Thybaut", "Tibald", "Tiebaut", "Tim", "Timm", "Tobias", "Tommen", "Torbald", 
		"Tormund", "Torren", "Tristan", "Tulkas", "Turstin", "Tuyon", "Tybald", "Tybalt", "Tybaut", "Tybout", 
		"Tycho", "Tyon", "Tyrion", "Tywin", "Udo", "Ulfric", "Ullric", "Ulric", "Umfrey", "Umfridus", "Urian", 
		"Valerian", "Valter", "Victor", "Walder", "Walkelin", "Walkelinus", "Walt", "Walter", "Walterius", 
		"Warin", "Warinus", "Warner", "Warnerius", "Warren", "Warrenus", "Watkin", "Watkyn", "Wauter", "Wichard", 
		"Wilcock", "Wiliam", "Wilkin", "Will", "Willelm", "Willelmus", "Willet", "William", "Wilmot", "Wimarc", 
		"Wimark", "Wiscar", "Wisgarus", "Wodan", "Wolf", "Wolfgard", "Wolfhard", "Wolfstan", "Wotan", "Wulfgar", 
		"Wulfstan", "Wylis", "Wyman", "Wymark", "Wymerus", "Wymon", "Wymund", "Wystan", "Ymbert", "Yngvarr", 
		"Yoren", "Ysembert", "Yves", "Yvet", "Ywain", "Zachary"
	}
})

