local medievalNamesMod = ...

medievalNamesMod:log("Injecting Female Names.")

medievalNamesMod:override({
	Id = "DEFAULT_BALANCING",
	Name = "ADDITIONAL_NAMES_FEMALE",
	FemaleNameList = {
		--To over write or the list of name provide in game, change action to "OVERRIDE" or remove the action line.
		action = "APPEND", --Append the following value(s) to the existing list
		"Abigail", "Abygail", "Acelina", "Ada", "Adaleide", "Adela", "Adelaide", "Adelena", "Adelid", 
		"Adelida", "Adelie", "Adelin", "Adelina", "Adeline", "Adelisa", "Adeliza", "Adelysia", 
		"Adhelina", "Adina", "Adria", "Aeditha", "Aediva", "Aelia", "Aelina", "Aelis", "Aelisa", 
		"Aelisia", "Aelizia", "Aethelind", "Aethelinda", "Afra", "Agacia", "Agatha", "Agnatha", 
		"Agnes", "Agneta", "Agnetha", "Ahelissa", "Aida", "Ala", "Alba", "Albreda", "Albree", "Alda", 
		"Aldith", "Alditha", "Aldiva", "Aldora", "Aldreda", "Alesia", "Aletha", "Alexandra", 
		"Alexandria", "Alfhild", "Alfreda", "Alia", "Alianor", "Alianora", "Alice", "Alicen", 
		"Alicia", "Alienora", "Alina", "Aline", "Alis", "Alise", "Allison", "Allura", "Alma", 
		"Althea", "Aluina", "Alvina", "Alys", "Alyson", "Amabel", "Amabilia", "Amabilla", "Amata", 
		"Amaya", "Amelia", "Amelina", "Ameline", "Amelinne", "Amellia", "Ameria", "Amia", "Amica", 
		"Amicia", "Amilia", "Amira", "Amiria", "Amiscia", "Amisia", "Amya", "Anabel", "Anabell", 
		"Anabella", "Anais", "Anastasia", "Ancreta", "Anilla", "Ann", "Anna", "Annabel", "Annabell", 
		"Annabella", "Annabelle", "Anne", "Annet", "Annice", "Annie", "Annora", "Anora", "Ansella", 
		"Aphra", "Aphrah", "Aquila", "Arabel", "Arabella", "Arbella", "Arianna", "Ariel", "Arlette", 
		"Arnica", "Artemisia", "Arya", "Ascelina", "Asceline", "Ascelinne", "Asselyna", "Astrild", 
		"Athela", "Athelesia", "Athelina", "Athelinda", "Athelisa", "Athelisia", "Athelyna", "Aubrey", 
		"Audry", "Augusta", "Auriola", "Aurora", "Avelina", "Aveline", "Avelyn", "Averil", "Aveza", 
		"Avice", "Avicia", "Avila", "Avina", "Babeth", "Barbara", "Barberella", "Barbeta", "Barbetta", 
		"Basilea", "Basilia", "Basilla", "Bathia", "Bathilde", "Bathsheba", "Bea", "Beatrice", 
		"Beatricia", "Bela", "Belladonna", "Belle", "Belva", "Benedicta", "Berengaria", "Bersaba", 
		"Berta", "Bertha", "Besseta", "Bessy", "Beth", "Betha", "Bethia", "Beyla", "Bianca", 
		"Birkhild", "Blanca", "Blanche", "Blanchia", "Braya", "Brianna", "Brianne", "Bridget", 
		"Brienne", "Brigette", "Brigid", "Brigida", "Brunhild", "Brunhilda", "Brynhild", "Caelia", 
		"Caesaria", "Calendula", "Candida", "Carissa", "Cassandra", "Catalyn", "Catarine", "Catelin", 
		"Cateline", "Catelyn", "Caterina", "Catharine", "Catlin", "Catrina", "Cecille", "Cecillia", 
		"Cecily", "Celestria", "Celia", "Celina", "Cersei", "Cerva", "Christiana", "Christiania", 
		"Christina", "Cicilia", "Cicily", "Clara", "Claramunda", "Clarcia", "Clare", "Clariandra", 
		"Clarice", "Claricia", "Claricie", "Clariscia", "Clarissa", "Clemencia", "Clementia", 
		"Clementine", "Cleremunda", "Coleta", "Coletta", "Colina", "Constance", "Constancia", 
		"Corinna", "Crisly", "Cristiana", "Cristiane", "Cristina", "Cristine", "Crystina", 
		"Crystobell", "Crystobella", "Cyneburga", "Dagda", "Dalia", "Dameta", "Debrah", "Decima", 
		"Deidra", "Delia", "Deliah", "Della", "Devana", "Dinah", "Dionisia", "Donata", "Dora", 
		"Dorathea", "Dorathia", "Doree", "Doreen", "Dorette", "Dorika", "Dorotea", "Dorothea", 
		"Dorothy", "Dorthy", "Dothy", "Dyonisia", "Eadda", "Ealdgid", "Earna", "Eda", "Edda", 
		"Eddiva", "Edelina", "Edeline", "Edelinne", "Edeva", "Edgarda", "Edith", "Editha", "Ediva", 
		"Edlyn", "Edolina", "Edytha", "Edythe", "Edyva", "Egelina", "Egidia", "Ela", "Elaine", 
		"Elainne", "Elana", "Elaria", "Elayne", "Eleanor", "Eleanora", "Elen", "Elenna", "Elewisa", 
		"Elewys", "Elfhild", "Elfreda", "Elia", "Elianor", "Elianora", "Elicia", "Elinor", "Elisa", 
		"Elise", "Elison", "Elisot", "Elisota", "Eliza", "Elizabet", "Elizabeth", "Ella", "Elle", 
		"Ellen", "Ellenor", "Ellice", "Elma", "Eloisa", "Eloise", "Elsa", "Elvina", "Elwisia", 
		"Elyenora", "Elysabeth", "Elysande", "Ema", "Emayn", "Emelin", "Emelina", "Emeline", 
		"Emelisse", "Emelnie", "Emelote", "Emelyn", "Emelyne", "Emeny", "Emilia", "Emily", "Emma", 
		"Emmelina", "Emmeline", "Emy", "Emylyna", "Erline", "Ermina", "Esabel", "Esabell", "Eschina", 
		"Estrelda", "Estrild", "Estrilda", "Ethel", "Ethelia", "Ethelinda", "Etta", "Eudeline", 
		"Eufemia", "Eufemma", "Eulalia", "Eunice", "Eunisia", "Euphemia", "Eva", "Evaine", "Eve", 
		"Evelina", "Eveline", "Evelune", "Evelyn", "Everild", "Everilda", "Ezabell", "Felica", 
		"Felicia", "Felisia", "Fillida", "Flavia", "Flora", "Florence", "Florencia", "Florentia", 
		"Floria", "Flyta", "Frea", "Freca", "Freda", "Freya", "Freyja", "Frida", "Frieda", 
		"Frieswilda", "Frigga", "Gabella", "Gabriela", "Galiena", "Ganleya", "Gaunlaya", "Gaunliena", 
		"Gelleia", "Genevieve", "Gerlind", "Gerlinda", "Gertrud", "Gertruda", "Gertude", "Geva", 
		"Ghita", "Gilda", "Gilia", "Giliana", "Giliane", "Gillian", "Gillota", "Gisela", "Gisella", 
		"Giselle", "Gisla", "Gleda", "Goddwina", "Godeliva", "Godwina", "Godwyna", "Gracia", "Gratia", 
		"Grecia", "Greshilda", "Gresilda", "Greta", "Grete", "Gretha", "Grimhild", "Grimhilda", 
		"Grisella", "Griselda", "Griseldis", "Grishild", "Grissall", "Grissell", "Grizel", "Guinevere", 
		"Gundela", "Gundred", "Gunhild", "Gunhilda", "Gunnhilda", "Gwendolen", "Gwendolyne", "Gwenhild", 
		"Hadewig", "Hadriana", "Hadwisa", "Halia", "Hanna", "Hannah", "Haralda", "Hariasa", "Hawisa", 
		"Hawisia", "Hayley", "Hedwig", "Hegelina", "Heilewisa", "Hela", "Helah", "Heleanor", "Helen", 
		"Helena", "Helene", "Helevisa", "Helewisa", "Helewise", "Helewys", "Hellen", "Hellena", "Heloise", 
		"Herleva", "Hermina", "Hermione", "Hilaria", "Hilda", "Hilde", "Honora", "Honoria", "Hosanna", 
		"Hosannah", "Hosianna", "Hugolina", "Ida", "Igerna", "Ima", "Imania", "Imanie", "Imeyna", "Inga", 
		"Ingaretta", "Ingerid", "Ingerith", "Iria", "Irma", "Isabeau", "Isabel", "Isabell", "Isabella", 
		"Isabelle", "Isamaya", "Iselota", "Isemay", "Ismania", "Ismanna", "Ismeina", "Ismena", "Ismenia", 
		"Isobel", "Isobella", "Isolda", "Isolde", "Issabell", "Issabella", "Issobell", "Issobella", 
		"Ivanna", "Ivetta", "Ivette", "Jacoba", "Jacobina", "Jacqueline", "Jakolina", "Jana", "Jane", 
		"Janet", "Janeta", "Jannet", "Jaquelinne", "Jean", "Jeane", "Jeanette", "Jeanna", "Jeanne", 
		"Jehanne", "Jeliana", "Jenefer", "Jennet", "Jezebel", "Jivete", "Joan", "Joane", "Joanna", 
		"Johana", "Johanna", "Johnna", "Jolenta", "Jolicia", "Josea", "Joya", "Joyce", "Judith", "Julia", 
		"Juliana", "Julienne", "Juliet", "Julietta", "Julitta", "Justina", "Kaelyn", "Kate", "Katelina", 
		"Kateline", "Katerina", "Katerine", "Kateryn", "Kateryna", "Katharina", "Katharine", "Katherin", 
		"Katherine", "Katheryn", "Katrina", "Katrine", "Kayla", "Kelcie", "Lada", "Larka", "Laudina", 
		"Laudine", "Laura", "Laurana", "Laurencia", "Lauretia", "Lauretta", "Laurette", "Lavena", 
		"Lavina", "Lavinia", "Leah", "Legarda", "Lelia", "Lena", "Leolina", "Leonia", "Leonina", "Letia", 
		"Leticia", "Letitia", "Levina", "Lewana", "Lia", "Lilian", "Lilith", "Lillian", "Lilyana", "Lina", 
		"Linet", "Linette", "Linnet", "Linota", "Linyeve", "Lisa", "Livilda", "Livitha", "Liza", "Lizbeth", 
		"Lobelia", "Lodema", "Lora", "Loreta", "Loretta", "Lovota", "Lucia", "Luciana", "Lucilia", 
		"Lucilla", "Lucina", "Luella", "Luna", "Lunete", "Lydia", "Lylie", "Lynetta", "Lyra", "Lysa", 
		"Maaline", "Mabella", "Mactilda", "Madallaine", "Madeleine", "Madelina", "Madge", "Magdalen", 
		"Magdalena", "Magdalene", "Maghtild", "Magreta", "Magrit", "Magritia", "Mahhild", "Maida", "Maja", 
		"Maleta", "Malfada", "Malina", "Malleta", "Malota", "Malyna", "Margaery", "Margaret", "Margareta", 
		"Margarett", "Margarette", "Margaria", "Margarit", "Margarita", "Margeria", "Margerie", "Margery", 
		"Margetta", "Margueritte", "Maria", "Marian", "Mariana", "Marianna", "Maribella", "Marie", 
		"Marietta", "Marina", "Marion", "Mariora", "Mariorie", "Mariory", "Mariot", "Mariota", "Mariote", 
		"Marjoria", "Marjorie", "Marta", "Martha", "Mary", "Maryell", "Mathila", "Mathild", "Mathilda", 
		"Mathilde", "Mathildis", "Matild", "Matilda", "Matilde", "Matricia", "Mattilda", "Maud", "Maude", 
		"Maudelyn", "Maughild", "Mautild", "May", "Maynild", "Mechtild", "Meera", "Melba", "Melessa", 
		"Melia", "Meliana", "Melianna", "Melicent", "Melinda", "Melisant", "Melisent", "Melisentia", 
		"Melissa", "Melitta", "Merewina", "Merhild", "Merilda", "Merwenna", "Metylda", "Milcentia", "Milda", 
		"Mildred", "Milicent", "Milicenta", "Milisandia", "Milisandre", "Milisant", "Milla", "Millicent", 
		"Minerva", "Mirabel", "Mirabell", "Mirabella", "Miranda", "Mirian", "Miriel", "Miriela", "Mirielda", 
		"Miriella", "Mirna", "Molly", "Morgaine", "Morgana", "Morianna", "Morwena", "Muriel", "Muriella", 
		"Mylecent", "Mylisant", "Mylla", "Mylle", "Myra", "Myranda", "Myrcella", "Nanette", "Narcissa", 
		"Nessa", "Nesta", "Nichole", "Nicholina", "Nicola", "Nina", "Nora", "Norma", "Norvella", "Octavia", 
		"Odelina", "Odella", "Odolina", "Odoline", "Olena", "Olenna", "Oliva", "Oranna", "Orela", "Orella", 
		"Orengia", "Oriana", "Oriande", "Orianna", "Oriolda", "Ornela", "Ornella", "Ornelle", "Osane", 
		"Osanna", "Osanne", "Ositha", "Ossenna", "Ozanne", "Paulina", "Pavia", "Pernella", "Pertesia", 
		"Peternella", "Petronella", "Petronilla", "Petroselia", "Petula", "Philberta", "Philippa", 
		"Phillice", "Phillida", "Pipa", "Pippa", "Preciosa", "Protasia", "Prudencia", "Quintina", "Rahel", 
		"Regina", "Renilla", "Reyna", "Richarda", "Richild", "Richolda", "Ricolda", "Rikilda", "Rikilde", 
		"Roana", "Roberta", "Robertha", "Rochilda", "Roesia", "Rohda", "Roheis", "Roheisa", "Rohese", 
		"Rohesia", "Roisia", "Rokilda", "Romilda", "Rosa", "Rosalia", "Rosalind", "Rosalinda", "Rosaline", 
		"Rosamund", "Rose", "Roseia", "Rosemunda", "Rowana", "Roysa", "Ruth", "Sabelina", "Sabeline", 
		"Sabina", "Sahra", "Sanchia", "Sansa", "Sapphira", "Sara", "Sarah", "Sarra", "Scholastica", 
		"Sciencia", "Sedaina", "Sedania", "Sela", "Selina", "Selinah", "Seloua", "Selova", "Septa", 
		"Septima", "Sibella", "Sibilia", "Sibilla", "Sibylla", "Sicillia", "Sigga", "Sighild", "Sighilda", 
		"Siglind", "Siglinda", "Silvana", "Simona", "Simone", "Sindonia", "Sisilla", "Skyla", "Slata", 
		"Solveig", "Sophronia", "Stanhild", "Stanhilda", "Starla", "Susana", "Susane", "Susanna", 
		"Susannah", "Susanne", "Svanhild", "Svanhilda", "Swanhild", "Swethyna", "Sybil", "Sybilla", 
		"Tabitha", "Tacia", "Talisa", "Talitha", "Talla", "Tamasine", "Teffania", "Teffany", "Tephania", 
		"Tephna", "Thala", "Theda", "Theffanie", "Theofania", "Theophania", "Thesa", "Thomasia", 
		"Thomasina", "Thomasine", "Thora", "Thorilda", "Thurilda", "Tibota", "Tiffania", "Tiffonia", 
		"Tilda", "Tilla", "Tillota", "Timothea", "Torilda", "Tovilda", "Trude", "Typhainne", "Ulla", 
		"Ursula", "Valeria", "Valora", "Vanora", "Veliona", "Velonia", "Venetia", "Vesna", "Vida", 
		"Viola", "Violetta", "Violette", "Vivian", "Viviana", "Viviane", "Vivien", "Vivienne", "Wakerilda", 
		"Walburga", "Walda", "Wantliana", "Wasmunda", "Wassa", "Wenefreda", "Wenthelen", "Wilamina", 
		"Williamina", "Wilma", "Wilmetta", "Wilona", "Yara", "Yavanna", "Yda", "Yetta", "Ygritta", "Ygritte", 
		"Ymenia", "Yolanda", "Yolande", "Ysabel", "Ysabell", "Ysabella", "Ysabelle", "Ysmeina", "Ysmena", 
		"Yvanna", "Yvonne", "Zoraya", "Zorya"
	}
})
